diff --git a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelWireRedstone.java b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelWireRedstone.java
index 6ca2e9507..44168af52 100644
--- a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelWireRedstone.java
+++ b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelWireRedstone.java
@@ -1,9 +1,9 @@
 package net.minecraft.client.render.block.model;
 
 import net.minecraft.client.render.LightmapHelper;
+import net.minecraft.client.render.tessellator.TessellatorTerrain;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
-import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.client.util.helper.Colors;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.BlockLogic;
@@ -26,7 +26,7 @@ public class BlockModelWireRedstone<T extends BlockLogic> extends BlockModelStan
     }
 
     @Override
-    public boolean render(@NotNull Tessellator tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos) {
+    public boolean render(@NotNull TessellatorTerrain tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos) {
         int meta = worldSource.getBlockData(tilePos);
         IconCoordinate straight = this.wireStraight;
         IconCoordinate cross = this.wireCross;
@@ -34,21 +34,13 @@ public class BlockModelWireRedstone<T extends BlockLogic> extends BlockModelStan
             cross = renderBlocks.overrideBlockTexture;
         }
         float brightness = 1.0f;
-        if (LightmapHelper.isLightmapEnabled()) {
-//            int lmc = block.getLightmapCoord(worldSource, tilePos);
-//            if(Blocks.lightEmission[block.id] > 0) {
-//                lmc = LightmapHelper.setBlocklightValue(lmc, 15);
-//            }
-            int lmc = LightmapHelper.getLightmapCoord(worldSource.getSavedLightValue(LightLayer.Sky, tilePos), Math.max(worldSource.getSavedLightValue(LightLayer.Block, tilePos), meta & 0xF));
-            tessellator.setLightmapCoord(lmc);
-        } else {
-            brightness = renderBlocks.getBlockBrightness(worldSource, tilePos);
-            if (this.block.emission > 0) {
-                brightness = 1.0f;
-            }
-            brightness = Math.max(brightness, (meta & 0xF) / 16f);
-        }
-        tessellator.setColorOpaque_F(brightness, brightness, brightness);
+//        int lmc = block.getLightmapCoord(worldSource, tilePos);
+//        if (Blocks.lightEmission[block.id] > 0) {
+//            lmc = LightmapHelper.setBlocklightValue(lmc, 15);
+//        }
+        int lmc = LightmapHelper.getLightmapCoord(worldSource.getSavedLightValue(LightLayer.Sky, tilePos), Math.max(worldSource.getSavedLightValue(LightLayer.Block, tilePos), meta & 0xF));
+        tessellator.setLightmapCoord1i(lmc);
+        tessellator.setColorOpaque3f(brightness, brightness, brightness);
 
         Color color = Colors.allRedstoneColors[meta & 0xF];
         float red = color.getRed() / 255.0f;
@@ -57,7 +49,7 @@ public class BlockModelWireRedstone<T extends BlockLogic> extends BlockModelStan
 
         TilePos queryPos = new TilePos();
 
-        tessellator.setColorOpaque_F(brightness * red, brightness * green, brightness * blue);
+        tessellator.setColorOpaque3f(brightness * red, brightness * green, brightness * blue);
         boolean west = BlockLogicWireRedstone.shouldConnectTo(worldSource, tilePos.west(queryPos), Side.WEST) || !worldSource.isBlockNormalCube(tilePos.west(queryPos)) && BlockLogicWireRedstone.shouldConnectToDiagonal(worldSource, tilePos.add(-1, -1, 0, queryPos), Side.NONE, Side.BOTTOM);
         boolean east = BlockLogicWireRedstone.shouldConnectTo(worldSource, tilePos.east(queryPos), Side.EAST) || !worldSource.isBlockNormalCube(tilePos.east(queryPos)) && BlockLogicWireRedstone.shouldConnectToDiagonal(worldSource, tilePos.add(1, -1, 0, queryPos), Side.NONE, Side.BOTTOM);
         boolean north = BlockLogicWireRedstone.shouldConnectTo(worldSource, tilePos.north(queryPos), Side.NORTH) || !worldSource.isBlockNormalCube(tilePos.north(queryPos)) && BlockLogicWireRedstone.shouldConnectToDiagonal(worldSource, tilePos.add(0, -1, -1, queryPos), Side.NONE, Side.BOTTOM);
